<?xml version="1.0" encoding="utf-8"?>
<!-- config value
 * Copyright (C) 2021 Huawei Inc.
 *
-->
<gamesched_config version="1.0">
    <featureCfg>
        <mGpuAIEnable>0</mGpuAIEnable>
        <mSupportHotplug>0</mSupportHotplug>
        <mSupportOnlineLearning>0</mSupportOnlineLearning>
        <mUseYieldThreadDetect>0</mUseYieldThreadDetect>
        <mSuppCpuBoundDetect>1</mSuppCpuBoundDetect>
        <mUseRtg>1</mUseRtg>
        <mSupportAbnFrameDetect>1</mSupportAbnFrameDetect>
        <mSupportVipThread>1</mSupportVipThread>
        <mFavorLittleEnable>1</mFavorLittleEnable>
        <mPerfgeniusEnable>0</mPerfgeniusEnable>
        <mDdrBwEnable>1</mDdrBwEnable>
    </featureCfg>

    <globalCfg>
        <mDefaultCpuDomain>1</mDefaultCpuDomain>
        <mNumCpuCores>8</mNumCpuCores>
        <mGpuTargetLoad>90</mGpuTargetLoad>
        <mGpuRunLoadRate>96</mGpuRunLoadRate>
        <mGpuFullLoad>100</mGpuFullLoad>
        <mGpuWindowSize>6</mGpuWindowSize>
        <mClusterPowerThres>5</mClusterPowerThres>
        <mClusterProfileThres>12</mClusterProfileThres>
        <mSgdProfileThres>35</mSgdProfileThres>
        <mDefultMaxBindcoreNum>6</mDefultMaxBindcoreNum>
        <mBoostGpuFreqMargin>70</mBoostGpuFreqMargin>
        <mChipName>7315</mChipName>
    </globalCfg>

    <stringCfg>
        <mGpuCurFreqPath>/sys/class/kgsl/kgsl-3d0/devfreq/cur_freq</mGpuCurFreqPath>
        <mGpuUserFreqPath>/proc/gpufreq/gpufreq_user_set_freq</mGpuUserFreqPath>
        <mDdrCurFreqPath>/sys/kernel/debug/clk/measure_only_mccc_clk/clk_measure</mDdrCurFreqPath>
        <mPerfCtlPath>/dev/hw_perf_ctrl</mPerfCtlPath>
        <mGpuDevPath>/dev/mali0</mGpuDevPath>
    </stringCfg>

    <listCfg>
        <mGpuFreqs>305 400 441 490 525 587</mGpuFreqs>
        <!-- Q:587000000 525000000 490000000 441600000 400000000 305000000 -->
    </listCfg>
</gamesched_config>
